<template>
    <swiper
      :modules="modules"
      :slides-per-view="1"
      :space-between="0"
      :loop="true"
      :effect="'fade'"
      navigation
      :pagination="{ clickable: true }"
      :style="styles"
      @swiper="onSwiper"
      @slideChange="onSlideChange"
    >
      <swiper-slide v-for="slide in 4" :key="slide">
        <img :src="`src/assets/img/slide${slide}.jpg`" alt="" />
    </swiper-slide>
    </swiper>
  </template>
  <script>
    // import Swiper core and required modules
    import { Navigation, Pagination, A11y } from 'swiper/modules';
  
    // Import Swiper Vue.js components
    import { Swiper, SwiperSlide } from 'swiper/vue';
  
    // Import Swiper styles
    import 'swiper/scss';
    import 'swiper/scss/navigation';
    import 'swiper/scss/pagination';
  
    const styles = {      
      '--swiper-navigation-color': '#fff',
      '--swiper-pagination-color': '#D9D9D9',
      '--swiper-pagination-bullet-width': '10px',
      '--swiper-pagination-bullet-height': '10px',
      '--swiper-pagination-bullet-inactive-color': '#214464',
      '--swiper-pagination-bullet-horizontal-gap': '7px',
      '--swiper-pagination-bottom': '-33px'
    }
    // Import Swiper styles
    export default {
      components: {
        Swiper,
        SwiperSlide,
      },
      setup() {
        const onSwiper = swiper => {
          // console.log(swiper);
        };

        const onSlideChange = () => {
          // console.log('slide change');
        };

        return {
          onSwiper,
          onSlideChange,
          modules: [Navigation, Pagination, A11y],
          styles
        };
      },
    };
  </script>